summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/csit/perf-timed.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/csit/perf-timed.sh')
-rwxr-xr-x[-rw-r--r--]jjb/scripts/csit/perf-timed.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/jjb/scripts/csit/perf-timed.sh b/jjb/scripts/csit/perf-timed.sh
index 76fabd58..10925b04 100644..100755
--- a/jjb/scripts/csit/perf-timed.sh
+++ b/jjb/scripts/csit/perf-timed.sh
@@ -13,12 +13,15 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/perf-timed.sh"
+
set -exuo pipefail
# Clone CSIT git repository and proceed with entry script located there.
#
# Variables read:
# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - GIT_URL - Git clone URL
# - GERRIT_BRANCH - Jenkins configured GERRIT_BRANCH parameter equal to required
# CSIT branch.
# - CSIT_REF - Override ref of CSIT git repository to checkout.
@@ -27,10 +30,10 @@ set -exuo pipefail
# - Multiple other side effects by entry script(s), see CSIT repository.
cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+git clone "${GIT_URL}/csit" --depth=1 --no-single-branch --no-checkout
pushd "${WORKSPACE}/csit"
if [[ -n "${CSIT_REF-}" ]]; then
- git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
+ git fetch --depth=1 "${GIT_URL}/csit" "${CSIT_REF}"
git checkout FETCH_HEAD
else
git checkout "${GERRIT_BRANCH}"
@@ -38,3 +41,4 @@ fi
popd
csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
source "${csit_entry_dir}/with_oper_for_vpp.sh" "bootstrap_verify_perf.sh"
+cp -R "${WORKSPACE}/csit/archives" "${WORKSPACE}/archives" || true